Loading...
Searching...
No Matches
single_pass_input.hpp File Reference

Provides seqan3::views::single_pass_input. More...

`#include <cassert>`
`#include <concepts>`
`#include <iterator>`
`#include <memory>`
`#include <ranges>`
`#include <type_traits>`
`#include <seqan3/core/detail/iterator_traits.hpp>`
`#include <seqan3/core/range/detail/adaptor_for_view_without_args.hpp>`
Include dependency graph for single_pass_input.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.
namespace | seqan3::views
| The SeqAn namespace for views.
namespace | std
| SeqAn specific customisations in the standard namespace.
namespace | std::ranges
| [adaptor_def]

## Variables

constexpr auto | seqan3::views::single_pass_input
| A view adapter that decays most of the range properties and adds single pass behavior.

## Detailed Description

Provides seqan3::views::single_pass_input.

Author
  Rene Rahn <rene.rahn AT fu-berlin.de>

Hide me